Folks.UrlDetails.change_urls – folks Reference Manual

# change_urls

## Description:

public virtual async void change_urls (Set<UrlFieldDetails> urls) throws PropertyError

Change the contact's URLs.

It's preferred to call this rather than setting UrlDetails.urls directly, as this method gives error notification and will only return once the URLs have been written to the relevant backing store (or the operation's failed).

## Parameters:

urls | the set of URLs

## Exceptions:

PropertyError | if setting the URLs failed

## Since:

0.6.2